/****** Object:  StoredProcedure [dbo].[Proc_TA_EmailNotificationSelectFor]    Script Date: 27-09-2023 12:49:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
Create PROCEDURE [dbo].[Proc_TA_EmailNotificationSelectFor]

--, Employee_Code_ID, Employee_Name, CompanyID, 
--LateEntry, LateHrs, AbsentAN, AbsentFN, EarlyExit, EarlyExitHrs, ShiftDate,
--ReportType, IsFlag, TimeStamp, EmailSendTime,Reason

@ShiftDate date ='2023/09/27',
@Employee_Code_ID nvarchar(100) ='5000',
@HdnReportName nvarchar(100) = '',
@Tag nvarchar(100) = 'EarlyExitApprovals',
@EmailTriggerID nvarchar(100) = ''

AS
BEGIN


Declare @ShiftDates nvarchar(50)

if(@ShiftDate !='')
begin
set @ShiftDates= CONVERT(VARCHAR, @ShiftDate, 23)
end 


if(@HdnReportName = 'Absent')
begin
--Select * from TA_Tbl_Shift
--Select * from TA_Tbl_IndividualEmailNotification  where Employee_Code_ID = '5000' and ShiftDate = '2023-09-26'
	Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name, ShiftDate +' '+Shift_StartTime +'-'+ Shift_EndTime+'' as ShiftDate,AbsentAN,AbsentFN,Reason,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime from TA_Tbl_IndividualEmailNotification left join TA_Tbl_Shift on Shift_Id=EmpShiftId 
	where Employee_Code_ID=@Employee_Code_ID and ShiftDate=@ShiftDates  and ReportType=@HdnReportName 
	end
	else if (@HdnReportName = 'LateEntry')
	begin
	
	--Select @ShiftDates

	Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name, ShiftDate ,LateEntry, LateHrs,Reason,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime from TA_Tbl_IndividualEmailNotification left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where Employee_Code_ID=@Employee_Code_ID and ShiftDate=@ShiftDates and ReportType=@HdnReportName 

	end
	else if(@HdnReportName = 'EarlyExit')
	begin 

	Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name,Convert(date, ShiftDate ) as ShiftDate, EarlyExit, EarlyExitHrs,Reason,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where Employee_Code_ID=@Employee_Code_ID and ShiftDate=@ShiftDates and ReportType=@HdnReportName 

	end

	else if (@Tag='AbsentApproval')
	begin 

	   Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name,Convert(date, ShiftDate) as ShiftDate,AbsentAN,AbsentFN,Reason,Status,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime,ApprovalRemark from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where 
	--Employee_Code_ID= case when @Employee_Code_ID = '' then Employee_Code_ID else @Employee_Code_ID end  and 
	
	--ShiftDate= case when @ShiftDates = '' then ShiftDate else @ShiftDates end  and 
	EmailtriggerID= case when @EmailTriggerID='' then  EmailtriggerID else @EmailTriggerID end 


	end
	else if (@Tag='LateEntryApproval')
	begin 

	 Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name,Convert(date, ShiftDate) as ShiftDate,LateEntry, LateHrs,Reason,Status,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime,ApprovalRemark
	 from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where 
	--TA_Tbl_IndividualEmailNotification.Employee_Code_ID= case when @Employee_Code_ID = '' then TA_Tbl_IndividualEmailNotification.Employee_Code_ID else @Employee_Code_ID end  and 
	--TA_Tbl_IndividualEmailNotification.ShiftDate= case when @ShiftDates = '' then TA_Tbl_IndividualEmailNotification.ShiftDate else @ShiftDates end  and 
	EmailtriggerID= case when @EmailTriggerID='' then  EmailtriggerID else @EmailTriggerID end  


	end
	else if (@Tag='EarlyExitApproval')
	begin 

	Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name, ShiftDate, EarlyExit, EarlyExitHrs,Reason,Status,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime,ApprovalRemark from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where 
	--Employee_Code_ID= case when @Employee_Code_ID = '' then Employee_Code_ID else @Employee_Code_ID end  and 
	
	--ShiftDate= case when @ShiftDates = '' then ShiftDate else @ShiftDates end  and 
EmailtriggerID= case when @EmailTriggerID='' then  EmailtriggerID else @EmailTriggerID end  

	end

	else if (@Tag='AbsentApprovals')
	begin 

	   Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name,Convert(date, ShiftDate) as ShiftDate,AbsentAN,AbsentFN,Reason,Status,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime,ApprovalRemark from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where 
	Employee_Code_ID= case when @Employee_Code_ID = '' then Employee_Code_ID else @Employee_Code_ID end  and 
	
	ShiftDate= case when @ShiftDates = '' then ShiftDate else @ShiftDates end  and 
	EmailtriggerID= case when @EmailTriggerID='' then  EmailtriggerID else @EmailTriggerID end and ReportType= 'Absent' 


	end
	else if (@Tag='LateEntryApprovals')
	begin 

	 Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name,ShiftDate,LateEntry, LateHrs,Reason,Status,EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime,ApprovalRemark
	 from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where 
	TA_Tbl_IndividualEmailNotification.Employee_Code_ID= case when @Employee_Code_ID = '' then TA_Tbl_IndividualEmailNotification.Employee_Code_ID else @Employee_Code_ID end  and 
	TA_Tbl_IndividualEmailNotification.ShiftDate= case when @ShiftDates = '' then TA_Tbl_IndividualEmailNotification.ShiftDate else @ShiftDates end  and 
	EmailtriggerID= case when @EmailTriggerID='' then  EmailtriggerID else @EmailTriggerID end  and ReportType= 'LateEntry' 

	end
	else if (@Tag='EarlyExitApprovals')
	begin 

	Select EmailtriggerID,EmployeeID,Employee_Code_ID,Employee_Name, ShiftDate, EarlyExit, EarlyExitHrs,Reason,Status,ReportType, EmpShiftId,(Shift_StartTime+'-'+ Shift_EndTime) as ShiftTime,ApprovalRemark from TA_Tbl_IndividualEmailNotification Left join TA_Tbl_Shift on Shift_Id=EmpShiftId
	where 
	Employee_Code_ID= case when @Employee_Code_ID = '' then Employee_Code_ID else @Employee_Code_ID end  and 
	
	ShiftDate= case when @ShiftDates = '' then ShiftDate else @ShiftDates end  and 
EmailtriggerID= case when @EmailTriggerID='' then  EmailtriggerID else @EmailTriggerID end   and ReportType= 'EarlyExit' and EarlyExit !='' and EarlyExitHrs !=''

	end


END

---------------------

/****** Object:  StoredProcedure [dbo].[Proc_TA_InsertIndividualEmployeeEmailNotification]    Script Date: 26-09-2023 21:17:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- Select * From TA_Tbl_IndividualEmailNotification
Create PROCEDURE [dbo].[Proc_TA_InsertIndividualEmployeeEmailNotification] 
	-- Add the parameters for the stored procedure here
	@tag char(2)='I',
	@empId int='7',
	@employeeCodeID nvarchar(20)='3000',
	@shiftDate varchar(20)='2023-07-01',
	@EmployeeName nvarchar(30)='Arvind',
	@CompanyId int='8',
	@LateEntry varchar(20)='',
	@LateHrs varchar(20)='',
	@AbsentAN varchar(20)='Absent',
	@AbsentFN varchar(20)='Absent',
	@EarlyExit varchar(20)='',
	@EarlyExitHrs varchar(20)='',
	@ReportType varchar(20)='Absent',
	@IsFlag	int='0',
	@Reason varchar(100)='',
	@ShiftId int='1',
	@Status nvarchar(100)='',
	@Remarks nvarchar(100)=''
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	
	Declare @ShiftStartTime Datetime
	Declare @ShiftEndTime Datetime
	Declare @EmailConfigTriggerTime DateTime
	Declare @EmailTriggerTime DateTime
	Declare @CurrentTime DateTime
	Declare @EmailScheduleTime DateTime

	Declare @DeleteRecordTbl as Table (id int Identity(1,1),RecordId int)
	Declare @EmpCode varchar(100)
	Declare @ExistLateHrs varchar(100)
	Declare @ExistReportType varchar(100)
	Declare @ExistEarlyExitHrs varchar(100)
	Declare @isExistFlag int=0
	Declare @ExistANAbsent varchar(20)
	Declare @ExistFNAbsent varchar(20)
	DECLARE @NewDate DATE
	Declare @ExistingRowCount int



    -- Insert statements for procedure here

	if(@tag='I')
	Begin 

		
		

		Select @ShiftStartTime=Cast(Shift_StartTime as time),@ShiftEndTime=CAST(Shift_EndTime as time) From TA_Tbl_Shift where Shift_Id=@ShiftId 
	
		
		--Select Shift_End From TA_Tbl_Shift where Shift_Id=3

			
		Select @EmailConfigTriggerTime=Case when @ReportType='LateEntry' then FORMAT(LateINTime,'HH:mm') Else (Case when @ReportType='EarlyExit' then FORMAT(EarlyOutTime,'HH:mm') Else FORMAT(AbsentTime,'HH:mm')End ) End From TA_Tbl_AbsentLateINEarlyoutTriggerTimeSetting where CompanyID=@CompanyId
	
		DECLARE @Time1 Time 
		DECLARE @Time2 Time = CONVERT(TIME, @EmailConfigTriggerTime);
		DECLARE @SumOfTimes Time


		-- Shift DateTime Based Insert and Delete the Record in for Late Entry


		iF(@ReportType='LateEntry')
		Begin
			
			set @Time1= CONVERT(time, @ShiftStartTime)
	
			set @SumOfTimes = DATEADD(SECOND, DATEDIFF(SECOND, '00:00:00', @Time1) + DATEDIFF(SECOND, '00:00:00', @Time2), '00:00:00');
			

			if( DATEPART(HOUR,@ShiftEndTime)<12 and DATEPART(HOUR,@ShiftStartTime)>12 and DATEPART(Hour,@SumOfTimes)<12)
			begin

				set @NewDate = DATEADD(DAY, 1, @ShiftDate);

				set @EmailScheduleTime=CAST(CONVERT(VARCHAR(10), @NewDate, 120) + ' ' + CONVERT(VARCHAR(8), @SumOfTimes, 108) AS DATETIME)

			End
			Else
			Begin
				set @EmailScheduleTime=CAST(CONVERT(VARCHAR(10), @shiftDate, 120) + ' ' + CONVERT(VARCHAR(8), @SumOfTimes, 108) AS DATETIME)
			End

			select  @EmpCode=Employee_Code_ID,@ExistLateHrs=LateHrs,@ExistReportType=ReportType,@ExistEarlyExitHrs=EarlyExitHrs,@isExistFlag=IsFlag From TA_Tbl_IndividualEmailNotification where ShiftDate=@shiftDate  and Employee_Code_ID=@employeeCodeID order by TimeStamp

			select @ExistingRowCount=Count(*) From TA_Tbl_IndividualEmailNotification where ShiftDate=@shiftDate and Employee_Code_ID=@employeeCodeID 

						
			if (@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=0 and @ExistReportType=@ReportType and @ExistLateHrs!=@LateHrs)
			Begin
				
				-- Select * From TA_Tbl_IndividualEmailNotification where Employee_Code_ID='2000'

				--insert into @DeleteRecordTbl
				--Select EmailtriggerID From TA_Tbl_IndividualEmailNotification where EmployeeID=@empId and Cast(ShiftDate as date)=@shiftDate and IsFlag=0

				--Select * From TA_Tbl_IndividualEmailNotification where Employee_Code_ID=@EmpCode and ShiftDate=@shiftDate and (LateHrs=@ExistLateHrs or (AbsentAN='Absent' and AbsentFN='Absent') or LateHrs!=@ExistLateHrs)

				Delete From TA_Tbl_IndividualEmailNotification where Employee_Code_ID=@EmpCode and ShiftDate=@shiftDate and (LateHrs=@ExistLateHrs or (AbsentAN='Absent' and AbsentFN='Absent') or LateHrs!=@ExistLateHrs) and ReportType=@ExistReportType
				
				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)

			End
			Else if(@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=1 and @ExistReportType!=@ReportType)
			Begin
				
				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)

			End
			Else If(@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=1 and @ExistReportType=@ReportType and @ExistLateHrs!=@LateHrs )
			Begin
				update TA_Tbl_IndividualEmailNotification set IsFlag=0,LateHrs=@LateHrs,LateEntry=@LateEntry where Employee_Code_ID=@employeeCodeID and ShiftDate=@shiftDate
			End
			Else if(@ExistReportType!=@ReportType and @isExistFlag=0 )
			Begin
			
					Delete From TA_Tbl_IndividualEmailNotification where Employee_Code_ID=@EmpCode and ShiftDate=@shiftDate and (LateHrs=@ExistLateHrs or (AbsentAN='Absent' and AbsentFN='Absent') or LateHrs!=@ExistLateHrs)

						Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
					ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
					@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)
		
			End
			Else IF(@ExistingRowCount=0)
			Begin

				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
					ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
					@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)
				
			End

		End
		
		-- Early Exit Records 

		IF(@ReportType='EarlyExit')
		Begin

			set @Time1= CONVERT(TIME, @ShiftEndTime)
			set @SumOfTimes=DATEADD(SECOND, DATEDIFF(SECOND, '00:00:00', @Time1) + DATEDIFF(SECOND, '00:00:00', @Time2), '00:00:00');
			
			if( DATEPART(HOUR,@ShiftEndTime)<12 and DATEPART(HOUR,@ShiftStartTime)>12 and DATEPART(Hour,@SumOfTimes)<12)
			begin

				Set @NewDate = DATEADD(DAY, 1, @ShiftDate);

				set @EmailScheduleTime=CAST(CONVERT(VARCHAR(10), @NewDate, 120) + ' ' + CONVERT(VARCHAR(8), @SumOfTimes, 108) AS DATETIME)

			End
			Else
			Begin
				set @EmailScheduleTime=CAST(CONVERT(VARCHAR(10), @shiftDate, 120) + ' ' + CONVERT(VARCHAR(8), @SumOfTimes, 108) AS DATETIME)

			End
		

			-- Declare @Count int=0 

			-- iSFlag=0 Records will be delete and New Records as Insert in the Late Entry 
			-- Already Existing Records need to be get and comare the
			select  @EmpCode=Employee_Code_ID,@ExistLateHrs=LateHrs,@ExistReportType=ReportType,@ExistEarlyExitHrs=EarlyExitHrs,@isExistFlag=IsFlag From TA_Tbl_IndividualEmailNotification where ShiftDate=@shiftDate  and Employee_Code_ID=@employeeCodeID order by TimeStamp

			select @ExistingRowCount=Count(*) From TA_Tbl_IndividualEmailNotification where ShiftDate=@shiftDate and Employee_Code_ID=@employeeCodeID 

			if (@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=0 and @ExistReportType=@ReportType)
			Begin
				
				-- Select * From TA_Tbl_IndividualEmailNotification where Employee_Code_ID='2000'
				--insert into @DeleteRecordTbl
				--Select EmailtriggerID From TA_Tbl_IndividualEmailNotification where EmployeeID=@empId and Cast(ShiftDate as date)=@shiftDate and IsFlag=0

				Delete From TA_Tbl_IndividualEmailNotification where Employee_Code_ID=@EmpCode and ShiftDate=@shiftDate and (EarlyExitHrs=@ExistEarlyExitHrs or  (AbsentAN='Absent' and AbsentFN='Absent')) 
				
				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)

			End
			Else If(@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=1 and @ExistReportType=@ReportType and @ExistEarlyExitHrs!=@EarlyExitHrs )
			Begin
				update TA_Tbl_IndividualEmailNotification set IsFlag=0,EarlyExitHrs=@EarlyExitHrs,EarlyExit=@EarlyExit where Employee_Code_ID=@employeeCodeID and ShiftDate=@shiftDate
			End
			Else if(@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=1 and @ExistReportType=@ReportType) 
			Begin


				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)

			End

			Else if(@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=1 and @ExistReportType!=@ReportType)
			Begin
				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)
			End

			else if(@ExistReportType!=@ReportType and @isExistFlag=0)
			Begin
						

						Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
					ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
					@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)
			End
			Else if(@ExistingRowCount=0 )
			Begin

				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
					ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
					@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)
			End
		End



		IF(@ReportType='Absent')
		Begin

			
			set @Time1= CONVERT(time, @ShiftStartTime)
			set @SumOfTimes = DATEADD(SECOND, DATEDIFF(SECOND, '00:00:00', @Time1) + DATEDIFF(SECOND, '00:00:00', @Time2), '00:00:00');
			
			if( DATEPART(HOUR,@ShiftEndTime)<12 and DATEPART(HOUR,@ShiftStartTime)>12 and DATEPART(Hour,@SumOfTimes)<12)
			begin

				Set @NewDate = DATEADD(DAY, 1, @ShiftDate);

				set @EmailScheduleTime=CAST(CONVERT(VARCHAR(10), @NewDate, 120) + ' ' + CONVERT(VARCHAR(8), @SumOfTimes, 108) AS DATETIME)

			End
			Else
			Begin
				set @EmailScheduleTime=CAST(CONVERT(VARCHAR(10), @shiftDate, 120) + ' ' + CONVERT(VARCHAR(8), @SumOfTimes, 108) AS DATETIME)
			End

		
			-- Declare @Count int=0 

			-- iSFlag=0 Records will be delete and New Records as Insert in the Late Entry 
			-- Already Existing Records need to be get and comare the
			select @EmpCode=Employee_Code_ID,@ExistLateHrs=LateHrs,@ExistReportType=ReportType,@ExistEarlyExitHrs=EarlyExitHrs,@isExistFlag=IsFlag,@ExistANAbsent=AbsentAN,@ExistFNAbsent=AbsentFN From TA_Tbl_IndividualEmailNotification where ShiftDate=@shiftDate  and Employee_Code_ID=@employeeCodeID


			if (@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=0 and @ExistReportType=@ReportType )
			Begin
				
				-- Select * From TA_Tbl_IndividualEmailNotification where Employee_Code_ID='2000'
				--insert into @DeleteRecordTbl
				--Select EmailtriggerID From TA_Tbl_IndividualEmailNotification where EmployeeID=@empId and Cast(ShiftDate as date)=@shiftDate and IsFlag=0
				--select @SumOfTimes,@EmpCode,@shiftDate,@AbsentAN,@AbsentFN
				
		
				Delete From TA_Tbl_IndividualEmailNotification where Employee_Code_ID=@EmpCode and ShiftDate=@shiftDate and ((AbsentFN=@AbsentFN and AbsentAN=@AbsentAN) or ReportType='LateIN' or ReportType='EarlyExit')
				
				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)

			End
			Else if(@EmpCode!='' and @EmpCode=@employeeCodeID and @isExistFlag=1 and @ExistReportType=@ReportType) 
			Begin
				
				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status)

			End
			else
			Begin
				if(@ExistReportType!=@ReportType and @isExistFlag=0)
				Begin
					
			
					Delete From TA_Tbl_IndividualEmailNotification where Employee_Code_ID=@EmpCode and ShiftDate=@shiftDate 
				
						Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
					ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status,Remarks,ApprovalRemark)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
					@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status,'','')
				End
				Else
				Begin
				
					Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
					ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status,Remarks,ApprovalRemark)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
					@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,@EmailScheduleTime,@Status,'','')
				End

			End
		End
	End

	IF(@tag='AS')
	Begin
		
		--Declare @s_StTime varchar(50)
		
		--set @CurrentTime=GETDATE()

		--Select @s_StTime=pd.Date+sft.Shift_StartTime From TA_Tbl_ProcessedData pd inner Join TA_Tbl_Shift sft on sft.Shift_Id = pd.shift_Id where pd.Shift_Id=@ShiftId and pd.Employee_Code_Id=@employeeCodeID

		----Select  @CurrentTime,CONVERT(DATETIME, @s_StTime, 120)

		--if(CONVERT(DATETIME, @s_StTime, 120)=CONVERT(DATETIME, @CurrentTime, 120))
		--Begin
		--	Select 0
		--End
		--Else
		--begin
		--	Select 1
		--End
		Select * From TA_Tbl_IndividualEmailNotification where EmployeeID=@empId and ShiftDate=@shiftDate
	End

	IF(@tag='S')
	Begin
		Select * From TA_Tbl_IndividualEmailNotification where EmployeeID=@empId and ShiftDate=@shiftDate
	End
	
	--IF(@tag='UI')
	--Begin
	--	update TA_Tbl_IndividualEmailNotification set LateEntry=@LateEntry,LateHrs=@LateHrs,EarlyExit=@EarlyExit,EarlyExitHrs=@EarlyExitHrs  where EmployeeID=@empId and Cast(ShiftDate as date)=@shiftDate and IsFlag=0
	--End

	IF(@tag='U')
	Begin
	
		set @shiftDate=CAST(@shiftDate as date)
		print @shiftDate
		update TA_Tbl_IndividualEmailNotification set IsFlag=@IsFlag,Remarks=@Remarks,EmailSendTime=GETDATE() where EmployeeID=@empId and ShiftDate=@shiftDate

	End


END




--if((Select Count(*) From TA_Tbl_IndividualEmailNotification where EmployeeID=@empId and Cast(ShiftDate as date)=@shiftDate)>0)
--		begin

--			-- 
			
--			--Declare @EmpCode varchar(100)
--			--Declare @ExistLateHrs varchar(100)
--			--Declare @ExistReportType varchar(100)
--			--Declare @ExistEarlyExitHrs varchar(100)

--			--select @EmpCode=Employee_Code_ID,@ExistLateHrs=LateHrs,@ExistReportType=ReportType,@ExistEarlyExitHrs=EarlyExitHrs From TA_Tbl_IndividualEmailNotification where ShiftDate=@shiftDate and IsFlag=1 and Employee_Code_ID=@employeeCodeID  

--			if((@LateHrs!=@ExistLateHrs) or (@ExistEarlyExitHrs!=@EarlyExitHrs))
--			begin 
--				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
--				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
--				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,Convert(varchar(20),Convert(Date,GETDATE()))+''+Convert(varchar(20),@SumOfTimes),@Status) 
--			End
--			Else IF(@EmpCode!=@employeeCodeID)
--			begin
--			Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
--				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
--				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,Convert(varchar(20),Convert(Date,GETDATE()))+''+Convert(varchar(20),@SumOfTimes),@Status)
--			End

--			Else If(@employeeCodeID=@EmpCode And @ReportType=@ExistReportType)
--			Begin
--				Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
--				ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
--				@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,Convert(varchar(20),Convert(Date,GETDATE()))+''+Convert(varchar(20),@SumOfTimes),@Status)
--			End
			
			
--		End
--		Else
--		begin
--			if(@EmailConfigTriggerTime!='')
--			Begin
				
--			Insert into TA_Tbl_IndividualEmailNotification (EmployeeId,Employee_Code_ID,Employee_Name,CompanyID,LateEntry,LateHrs,AbsentAN,AbsentFN,EarlyExit,EarlyExitHrs,ShiftDate,
--			ReportType,IsFlag,TimeStamp,EmailSendTime,Reason,EmpShiftId,EmailscheduleTime,Status)values (@empId,@employeeCodeID,@EmployeeName,@CompanyId,@LateEntry,@LateHrs,@AbsentAN,@AbsentFN,@EarlyExit,@EarlyExitHrs,@shiftDate,
--			@ReportType,@IsFlag,GETDATE(),'',@Reason,@ShiftId,Convert(varchar(20),Convert(Date,GETDATE()))+''+Convert(varchar(20),@SumOfTimes),@Status)	

--			End
--		End


	

/****** Object:  StoredProcedure [dbo].[Proc_EmailApprovalSelectLate]    Script Date: 27-09-2023 09:48:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
Create PROCEDURE [dbo].[Proc_EmailApprovalSelectLate]

@Employee_Code_ID nvarchar(100)='',
@Employee_Name nvarchar(100)='',
@CategoryName nvarchar(100)='0',
@TypeName nvarchar(100)='0',
@Status nvarchar(100)='ALL',
@ShiftDate nvarchar(100) = '2023-08-01',
@ToDate nvarchar(100)= '2023-10-01',
@levelId int='0'

AS
BEGIN
Declare @Datefromat nvarchar(50), @TimeFormat nvarchar(50)
declare @date int, @Timme int

Select @Datefromat=DateFormat,@TimeFormat=TimeFormat from TA_Tbl_DateandTimeFormat 


IF(@Datefromat='dd/MM/yyyy')
		BEGIN
			SET @date = 103
			
		END
	ELSE IF(@Datefromat='MM/dd/yyyy')
		BEGIN
			SET @date = 101
		END
	ELSE
		BEGIN
			SET @date = 106
		END

		declare @Dt datetime = Convert(datetime,@ShiftDate)

		Print @date
		Print @Datefromat
		print @TimeFormat

	IF(@TimeFormat='hh:mm')
		BEGIN
			SET @Timme = 108
			
		END
	ELSE IF(@TimeFormat='hh:mm tt')
		BEGIN
			SET @Timme = 7
		END


		--declare @LateEntry nvarchar(10)
		--Select @LateEntry =LateEntry from TA_Tbl_IndividualEmailNotification where Employee_Code_ID =@Employee_Code_ID and ShiftDate =@ShiftDate
		
		--print @LateEntry

			--SELECT CONVERT(VARCHAR, GETDATE(), 108)

	Select TA_Tbl_IndividualEmailNotification.EmployeeID,EmailtriggerID,TA_Tbl_IndividualEmailNotification.Employee_Code_ID,
		TA_Tbl_IndividualEmailNotification.Employee_Name,
CONVERT( varchar,ShiftDate,@date) as ShiftDate,

Convert (varchar(10) ,LateEntry,@Timme) as INPunch , LateHrs as LateBy,Status from TA_Tbl_IndividualEmailNotification

inner join TA_Tbl_Employee on TA_Tbl_Employee.Employee_Id=  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_EmployeeCategory on TA_Tbl_EmployeeCategory.EmployeeId =  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_Category on TA_Tbl_Category.CategoryId = TA_Tbl_EmployeeCategory.CategoryId

inner join TA_Tbl_EmployeeDesignation on TA_Tbl_EmployeeDesignation.EmployeeID =  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_EmployeeLevel on TA_Tbl_EmployeeLevel.EmployeeId = TA_Tbl_IndividualEmailNotification.EmployeeID
inner join Ta_Tbl_levelDetails on Ta_Tbl_levelDetails.id = TA_Tbl_EmployeeLevel.LevelId
inner join TA_Tbl_EmployeeType on TA_Tbl_EmployeeType.EmployeeId=TA_Tbl_IndividualEmailNotification.EmployeeID
inner join TA_Tbl_Type on TA_Tbl_Type.TypeId =  TA_Tbl_EmployeeType.TypeId

 where TA_Tbl_IndividualEmailNotification.Employee_Code_ID = 
 case when @Employee_Code_ID ='' then TA_Tbl_IndividualEmailNotification.Employee_Code_ID
 else  @Employee_Code_ID  end and 

 TA_Tbl_IndividualEmailNotification.Employee_Name =
 case when @Employee_Name ='' then TA_Tbl_IndividualEmailNotification.Employee_Name
 else  @Employee_Name  end and 

 TA_Tbl_Category.CategoryName =
 case when @CategoryName ='0' then TA_Tbl_Category.CategoryName 
 else  @CategoryName  end and

 TA_Tbl_Type.TypeName like
 case when @TypeName='0' then TA_Tbl_Type.TypeName
 else  @TypeName  end  and

 TA_Tbl_IndividualEmailNotification.Status = 
 case when @Status='ALL' then TA_Tbl_IndividualEmailNotification.Status
 else  @Status  end and

  TA_Tbl_IndividualEmailNotification.ShiftDate between
 case when @ShiftDate='' then TA_Tbl_IndividualEmailNotification.ShiftDate
 else   @ShiftDate end and Case when @ToDate='' then TA_Tbl_IndividualEmailNotification.ShiftDate else @ToDate  end and

Ta_Tbl_levelDetails.id = Case when @levelId= '0'then  Ta_Tbl_levelDetails.id else @levelId end 
and TA_Tbl_IndividualEmailNotification.ReportType='LateEntry'
 
 



 --Select * From TA_Tbl_IndividualEmailNotification where ReportType='LateEntry'

-- Select * from TA_Tbl_Type
-- Select * from TA_Tbl_EmployeeType
--Select*from TA_Tbl_Employee
--select * from TA_Tbl_Category
--Select * from TA_Tbl_EmployeeCategory
--Select * from TA_Tbl_Title
----Select * from TA_Tbl_Level
--Select * from TA_Tbl_EmployeeDesignation
--Select * from Ta_Tbl_levelDetails  2023-08-28
--Select * from TA_Tbl_EmployeeLevel
END


----------------------------


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
-- Proc_TA_EmailNotificationTemplateTrigger '2023-08-09'

Create PROCEDURE [dbo].[Proc_TA_EmailNotificationTemplateTrigger]

AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	Declare @CurrentTime varchar(20)

	Set @CurrentTime=FORMAT(GETDATE(), 'yyyy-MM-dd HH:mm')

	--Select @CurrentTime

	Select EN.EmployeeID,EN.Employee_Code_ID,EN.Employee_Name,LD.name as Department,EN.ShiftDate,EN.ReportType,
	Case when EN.ReportType='LateEntry'Then EN.LateEntry Else 
	Case When EN.ReportType='EarlyExit' then En.EarlyExit Else '-' End End as ReportTime,
	Case when EN.ReportType='LateEntry' then EN.LateHrs Else 
	Case when En.ReportType='EarlyExit' then EN.EarlyExitHrs Else EN.AbsentFN End End as ExceptionHrs,emp.EmailId,EN.IsFlag,
	sh.Shift_StartTime+'-'+Shift_EndTime as ShiftTime
	From  TA_Tbl_IndividualEmailNotification EN inner Join TA_Tbl_EmployeeLevel EL on EL.EmployeeId=EN.EmployeeID Left Join Ta_Tbl_levelDetails LD on LD.id=EL.LevelId Left Join TA_Tbl_Employee emp on emp.Employee_Id=EL.EmployeeId inner Join TA_Tbl_Shift sh on sh.Shift_Id =En.EmpShiftId
	where isFlag=0 
		and @CurrentTime >= FORMAT(EmailscheduleTime,'yyyy-MM-dd HH:mm')

END

-------------


/****** Object:  StoredProcedure [dbo].[Proc_EmailApprovalSelectEarlyExit]    Script Date: 27-09-2023 14:55:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
ALTER PROCEDURE [dbo].[Proc_EmailApprovalSelectEarlyExit]

@Employee_Code_ID nvarchar(100)='',
@Employee_Name nvarchar(100)='',
@CategoryName nvarchar(100)='0',
@TypeName nvarchar(100)='0',
@Status nvarchar(100)='ALL',
@ShiftDate nvarchar(100) = '',
@ToDate nvarchar(100)='',
@levelId int='0'

AS
BEGIN



Declare @Datefromat nvarchar(50), @TimeFormat nvarchar(50)
declare @date int, @Timme int

Select @Datefromat=DateFormat,@TimeFormat=TimeFormat from TA_Tbl_DateandTimeFormat 


IF(@Datefromat='dd/MM/yyyy')
		BEGIN
			SET @date = 103
			
		END
	ELSE IF(@Datefromat='MM/dd/yyyy')
		BEGIN
			SET @date = 101
		END
	ELSE
		BEGIN
			SET @date = 106
		END

		declare @Dt datetime = Convert(datetime,@ShiftDate)

		Print @date
		Print @Datefromat
		print @TimeFormat

	IF(@TimeFormat='hh:mm')
		BEGIN
			SET @Timme = 108
			
		END
	ELSE IF(@TimeFormat='hh:mm tt')
		BEGIN
			SET @Timme = 7
		END

--Select * from TA_Tbl_IndividualEmailNotification

	Select TA_Tbl_IndividualEmailNotification.EmployeeID,EmailtriggerID,TA_Tbl_IndividualEmailNotification.Employee_Code_ID,
	TA_Tbl_IndividualEmailNotification.Employee_Name,
CONVERT( varchar,ShiftDate,@date) as ShiftDate,
Convert (varchar(10) ,EarlyExit,@Timme) as EarlyExit ,EarlyExitHrs as Duration,Status from TA_Tbl_IndividualEmailNotification

inner join TA_Tbl_Employee on TA_Tbl_Employee.Employee_Id=  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_EmployeeCategory on TA_Tbl_EmployeeCategory.EmployeeId =  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_Category on TA_Tbl_Category.CategoryId = TA_Tbl_EmployeeCategory.CategoryId

inner join TA_Tbl_EmployeeDesignation on TA_Tbl_EmployeeDesignation.EmployeeID =  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_EmployeeLevel on TA_Tbl_EmployeeLevel.EmployeeId = TA_Tbl_IndividualEmailNotification.EmployeeID
inner join Ta_Tbl_levelDetails on Ta_Tbl_levelDetails.id = TA_Tbl_EmployeeLevel.LevelId
inner join TA_Tbl_EmployeeType on TA_Tbl_EmployeeType.EmployeeId=TA_Tbl_IndividualEmailNotification.EmployeeID
inner join TA_Tbl_Type on TA_Tbl_Type.TypeId =  TA_Tbl_EmployeeType.TypeId

 where TA_Tbl_IndividualEmailNotification.Employee_Code_ID = 
 case when @Employee_Code_ID ='' then TA_Tbl_IndividualEmailNotification.Employee_Code_ID
 else  @Employee_Code_ID  end and 

 TA_Tbl_IndividualEmailNotification.Employee_Name =
 case when @Employee_Name ='' then TA_Tbl_IndividualEmailNotification.Employee_Name
 else  @Employee_Name  end and 

 TA_Tbl_Category.CategoryId =
 case when @CategoryName ='0' then TA_Tbl_Category.CategoryId 
 else  @CategoryName  end and

 TA_Tbl_Type.TypeName like
 case when @TypeName='0' then TA_Tbl_Type.TypeName
 else  @TypeName  end  and

 TA_Tbl_IndividualEmailNotification.Status = 
 case when @Status='ALL' then TA_Tbl_IndividualEmailNotification.Status
 else  @Status  end and

  TA_Tbl_IndividualEmailNotification.ShiftDate between
 case when @ShiftDate='' then TA_Tbl_IndividualEmailNotification.ShiftDate
 else   @ShiftDate end and Case when @ToDate='' then TA_Tbl_IndividualEmailNotification.ShiftDate else @ToDate  end and

Ta_Tbl_levelDetails.id = Case when @levelId= '0'then  Ta_Tbl_levelDetails.id else @levelId end 
 and TA_Tbl_IndividualEmailNotification.ReportType='EarlyExit'
 



-- Select * from TA_Tbl_Type
-- Select * from TA_Tbl_EmployeeType
--Select*from TA_Tbl_Employee
--select * from TA_Tbl_Category
--Select * from TA_Tbl_EmployeeCategory
--Select * from TA_Tbl_Title
----Select * from TA_Tbl_Level
--Select * from TA_Tbl_EmployeeDesignation
--Select * from Ta_Tbl_levelDetails
--Select * from TA_Tbl_EmployeeLevel
--Declare @fromat varchar(30)

--Select @fromat=DateFormat From TA_Tbl_DateandTimeFormat

--if(@fromat='MM/dd/yyyy')
--begin
--	--set @ShiftDate= CONVERT(VARCHAR(10), CONVERT(DATE, @ShiftDate, 101), 120)
--	--set @ToDate=CONVERT(VARCHAR(10), CONVERT(DATE, @ToDate, 101), 120)
--End
--if(@fromat='dd-MMM-yyyy')
--begin
--	set @ShiftDate= CONVERT(VARCHAR(10), CONVERT(DATE, @ShiftDate, 106), 120)
--	set @ToDate=CONVERT(VARCHAR(10), CONVERT(DATE, @ToDate, 106), 120)
--End
--if(@fromat='dd/MM/yyyy')
--begin
--	set @ShiftDate= CONVERT(VARCHAR(10), CONVERT(DATE, @ShiftDate, 103), 120)
--	set @ToDate=CONVERT(VARCHAR(10), CONVERT(DATE, @ToDate, 103), 120)
--End




END


/****** Object:  StoredProcedure [dbo].[Proc_EmailApprovalSelectLate]    Script Date: 27-09-2023 14:55:49 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
ALTER PROCEDURE [dbo].[Proc_EmailApprovalSelectLate]

@Employee_Code_ID nvarchar(100)='',
@Employee_Name nvarchar(100)='',
@CategoryName nvarchar(100)='0',
@TypeName nvarchar(100)='0',
@Status nvarchar(100)='ALL',
@ShiftDate nvarchar(100) = '2023-08-01',
@ToDate nvarchar(100)= '2023-10-01',
@levelId int='0'

AS
BEGIN
Declare @Datefromat nvarchar(50), @TimeFormat nvarchar(50)
declare @date int, @Timme int

Select @Datefromat=DateFormat,@TimeFormat=TimeFormat from TA_Tbl_DateandTimeFormat 


IF(@Datefromat='dd/MM/yyyy')
		BEGIN
			SET @date = 103
			
		END
	ELSE IF(@Datefromat='MM/dd/yyyy')
		BEGIN
			SET @date = 101
		END
	ELSE
		BEGIN
			SET @date = 106
		END

		declare @Dt datetime = Convert(datetime,@ShiftDate)

		Print @date
		Print @Datefromat
		print @TimeFormat

	IF(@TimeFormat='hh:mm')
		BEGIN
			SET @Timme = 108
			
		END
	ELSE IF(@TimeFormat='hh:mm tt')
		BEGIN
			SET @Timme = 7
		END


		--declare @LateEntry nvarchar(10)
		--Select @LateEntry =LateEntry from TA_Tbl_IndividualEmailNotification where Employee_Code_ID =@Employee_Code_ID and ShiftDate =@ShiftDate
		
		--print @LateEntry

			--SELECT CONVERT(VARCHAR, GETDATE(), 108)

	Select TA_Tbl_IndividualEmailNotification.EmployeeID,EmailtriggerID,TA_Tbl_IndividualEmailNotification.Employee_Code_ID,
		TA_Tbl_IndividualEmailNotification.Employee_Name,
CONVERT( varchar,ShiftDate,@date) as ShiftDate,

Convert (varchar(10) ,LateEntry,@Timme) as INPunch , LateHrs as LateBy,Status from TA_Tbl_IndividualEmailNotification

inner join TA_Tbl_Employee on TA_Tbl_Employee.Employee_Id=  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_EmployeeCategory on TA_Tbl_EmployeeCategory.EmployeeId =  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_Category on TA_Tbl_Category.CategoryId = TA_Tbl_EmployeeCategory.CategoryId

inner join TA_Tbl_EmployeeDesignation on TA_Tbl_EmployeeDesignation.EmployeeID =  TA_Tbl_IndividualEmailNotification.EmployeeID

inner join TA_Tbl_EmployeeLevel on TA_Tbl_EmployeeLevel.EmployeeId = TA_Tbl_IndividualEmailNotification.EmployeeID
inner join Ta_Tbl_levelDetails on Ta_Tbl_levelDetails.id = TA_Tbl_EmployeeLevel.LevelId
inner join TA_Tbl_EmployeeType on TA_Tbl_EmployeeType.EmployeeId=TA_Tbl_IndividualEmailNotification.EmployeeID
inner join TA_Tbl_Type on TA_Tbl_Type.TypeId =  TA_Tbl_EmployeeType.TypeId

 where TA_Tbl_IndividualEmailNotification.Employee_Code_ID = 
 case when @Employee_Code_ID ='' then TA_Tbl_IndividualEmailNotification.Employee_Code_ID
 else  @Employee_Code_ID  end and 

 TA_Tbl_IndividualEmailNotification.Employee_Name =
 case when @Employee_Name ='' then TA_Tbl_IndividualEmailNotification.Employee_Name
 else  @Employee_Name  end and 

 TA_Tbl_Category.CategoryName =
 case when @CategoryName ='0' then TA_Tbl_Category.CategoryName 
 else  @CategoryName  end and

 TA_Tbl_Type.TypeName like
 case when @TypeName='0' then TA_Tbl_Type.TypeName
 else  @TypeName  end  and

 TA_Tbl_IndividualEmailNotification.Status = 
 case when @Status='ALL' then TA_Tbl_IndividualEmailNotification.Status
 else  @Status  end and

  TA_Tbl_IndividualEmailNotification.ShiftDate between
 case when @ShiftDate='' then TA_Tbl_IndividualEmailNotification.ShiftDate
 else   @ShiftDate end and Case when @ToDate='' then TA_Tbl_IndividualEmailNotification.ShiftDate else @ToDate  end and

Ta_Tbl_levelDetails.id = Case when @levelId= '0'then  Ta_Tbl_levelDetails.id else @levelId end 
and TA_Tbl_IndividualEmailNotification.ReportType='LateEntry'
 
 



 --Select * From TA_Tbl_IndividualEmailNotification where ReportType='LateEntry'

-- Select * from TA_Tbl_Type
-- Select * from TA_Tbl_EmployeeType
--Select*from TA_Tbl_Employee
--select * from TA_Tbl_Category
--Select * from TA_Tbl_EmployeeCategory
--Select * from TA_Tbl_Title
----Select * from TA_Tbl_Level
--Select * from TA_Tbl_EmployeeDesignation
--Select * from Ta_Tbl_levelDetails  2023-08-28
--Select * from TA_Tbl_EmployeeLevel
END