<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_Master_groupEdit, App_Web_hsg3xg4r" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <script language="javascript" type="text/javascript">
        function checkSpecial(para) {
            if (para == 'Yes') {
                para = 'Yes';
                document.getElementById("<%=cbSpecialRights.ClientID%>").disabled = true;
                document.getElementById("<%=cbSpecialRights.ClientID%>").checked = false;
                return;
            }
            if (para == 'No') {
                document.getElementById("<%=cbSpecialRights.ClientID%>").disabled = false;
                document.getElementById("<%=cbSpecialRights.ClientID%>").checked = false;
            }
        }
        function CheckUser() {
            //document.getElementById("<%=cbSpecialRights.ClientID%>").disabled = true;
            document.getElementById("<%=cbSpecialRights.ClientID%>").value = 'Test';
        }
    </script>
    <div class="content-header">
        <h1 style="background-image: url(../dist/img/user-group-Icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderAddGroups" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="exda-table">
            <h6>
                <span style="color: Red">|</span><asp:Label ID="lbl_IndicatesMandatoryFields" runat="server"></asp:Label>
                (1 No.)</h6>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="panel-heading" style="display: none">
                    <div class="row">
                        <div class="col-md-12" style="color: Red">
                            *
                            
                        </div>
                        <asp:RequiredFieldValidator ID="Req_LeaveType" runat="server" ControlToValidate="txt_groupName"
                            ErrorMessage="Enter Group Name" SetFocusOnError="True" Display="None" ValidationGroup="UserGroup">*</asp:RequiredFieldValidator>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lbl_GroupName" runat="server"></asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox onpaste="return true" ID="txt_groupName" runat="server" CssClass="form-control mandatory"
                            MaxLength="40" onkeypress="return acceptCharsNumAmpUnder_MaxLength(event,this,40,MaxLength);"></asp:TextBox>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lblIndividualUser" runat="server" Text="Individual Users"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:RadioButtonList ID="rbtnIndUsers" CssClass="radio radio-primary" AutoPostBack="true"
                            OnSelectedIndexChanged="rbtnIndUsers_OnSelectedIndexChanged" runat="server" RepeatDirection="Horizontal">
                            <asp:ListItem Value="Yes"></asp:ListItem>
                            <asp:ListItem Value="No" Text="No"></asp:ListItem>
                        </asp:RadioButtonList>
                    </div>
                </div>
                <div class="form-group" id="divReportsBasedOn" runat="server">
                    <div class="col-md-3">
                        <asp:Label ID="lblReportsBasedOn" runat="server" Text="Reports Based On"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:RadioButtonList ID="rblReportsBasedOn" CssClass="radio radio-primary" runat="server"
                            RepeatDirection="Horizontal">
                            <asp:ListItem Selected="True" Text="Level Rights"></asp:ListItem>
                            <asp:ListItem Text="Reporting To Mapping"></asp:ListItem>
                        </asp:RadioButtonList>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lblSpecialRights" runat="server" Text="Special Rights"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:CheckBox ID="cbSpecialRights" runat="server" CssClass="checkbox checkbox-primary" />
                    </div>
                </div>
                <div class="form-group" id="divAllowLeavePastEntry" runat="server">
                    <div class="col-md-3">
                        <%--  <asp:Label ID="lblAllowLeavePastEntry" runat="server" Text="Allow Leave Approval for past days"></asp:Label>--%>
                    </div>
                    <div class="col-md-9">
                        <asp:CheckBox ID="cbAllowLeaveApprovalPastEntry" runat="server" CssClass="checkbox checkbox-primary" />
                    </div>
                </div>                
                <div class="row form-group">
                    <div class="col-md-3">
                    </div>
                    <div class="col-md-3">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_save" CssClass="btn save-btn fa-floppy-o" runat="server"
                                OnClick="btn_save_Click" ValidationGroup="UserGroup" />
                            <asp:LinkButton ID="btn_cancel" CssClass="btn save-btn fa-angle-left" runat="server"
                                OnClick="btn_cancel_Click" CausesValidation="False" />
                            <asp:ValidationSummary ID="Val_Leave" runat="server" ShowSummary="false" ShowMessageBox="True" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="callout callout-info" style="margin-bottom: 0!important;">
                            <asp:Label ID="lblImportNote" runat="server"></asp:Label>
                        </div>
                        <br />
                        <ul>
                            <li>
                                <asp:Label ID="lblnotes1" runat="server" Text="Individual Users is set to <B>Yes</B>, then the employee can able to view their data alone in all screen"></asp:Label>
                            </li>
                            <br />
                            <li>
                                <asp:Label ID="lblnotes2" runat="server" Text="Individual Users is set to <B>No</B>, then it will check the next field configuration i.e Reports Based On."></asp:Label>
                            </li>
                            <br />
                            <li>
                                <asp:Label ID="Label1" runat="server" Text="Reports Based On is set to Level Rights option, then the system will display all the employee details into all screens and reports of selected departments in Level Rights screen."></asp:Label>
                            </li>
                            <br />
                            <li>
                                <asp:Label ID="Label3" runat="server" Text="Reports Based On is set to Reporting To Mapping, then the system will display the configured employee details alone into all screens and reports in the employee master."></asp:Label>
                            </li>
                            <br />
                            <li>
                                <asp:Label ID="Label2" runat="server" Text="<B>For example,</B>"></asp:Label>
                            </li>
                            <br />
                            <li>
                                <asp:Label ID="Label5" runat="server" Text="Consider 3 departments. <B>A, B and C</B>. Each department is having 10 employees. In Level rights screen, we enabled all these 3 departments for this usergroup."></asp:Label>
                            </li>
                            <br />
                            <li><asp:Label ID="Label6" runat="server" Text="Now here, if we configured Reports Based On is Level Rights means, the system will display all these 30 employees details to all screens and reports."></asp:Label></li>
                            <br />
                            <li>
                                <asp:Label ID="Label4" runat="server" Text="At the same time, if we configured Reports Based On is Reporting To Mapping means, then the system will display only mapped employee details alone, not these 30 employees details into all screens and reports."></asp:Label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            var MaxLength = "Maximum length is ";
            var SureToDelete = "Are you Sure to Delete?";
            function MaxLengthh(maxLength, sureToDelete) {
                MaxLength = maxLength;
                SureToDelete = sureToDelete;
            }
        </script>
    </div>
</asp:Content>
